gr::gfdm::simple_preamble_sync_cc_impl Class Reference

`#include <simple_preamble_sync_cc_impl.h>`

Inheritance diagram for gr::gfdm::simple_preamble_sync_cc_impl:
[legend]

## Public Member Functions

| simple_preamble_sync_cc_impl (int frame_len, int subcarriers, int cp_len, std::vector< gr_complex > preamble, const std::string &in_key, const std::string &out_key)
| ~simple_preamble_sync_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::simple_preamble_sync_cc
typedef boost::shared_ptr< simple_preamble_sync_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::simple_preamble_sync_cc
static sptr | make (int frame_len, int subcarriers, int cp_len, std::vector< gr_complex > preamble, const std::string &in_key, const std::string &out_key)
| Return a shared_ptr to a new instance of gfdm::simple_preamble_sync_cc.

## Constructor & Destructor Documentation

## simple_preamble_sync_cc_impl()

gr::gfdm::simple_preamble_sync_cc_impl::simple_preamble_sync_cc_impl | ( | int | frame_len,
|  | int | subcarriers,
|  | int | cp_len,
|  | std::vector< gr_complex > | preamble,
|  | const std::string & | in_key,
|  | const std::string & | out_key )

## ~simple_preamble_sync_cc_impl()

gr::gfdm::simple_preamble_sync_cc_impl::~simple_preamble_sync_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::gfdm::simple_preamble_sync_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::gfdm::simple_preamble_sync_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- simple_preamble_sync_cc_impl.h